---
title: Deletes a Workflow
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/python)

[Workflows](https://developers.cloudflare.com/api/python/resources/workflows)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Deletes a Workflow

workflows.delete(strworkflow\_name, WorkflowDeleteParams\*\*kwargs) -> [WorkflowDeleteResponse](<https://developers.cloudflare.com/api/python/resources/workflows#(resource)%20workflows%20%3E%20(model)%20workflow_delete_response%20%3E%20(schema)>)

DELETE/accounts/{account\_id}/workflows/{workflow\_name}

Deletes a Workflow. This only deletes the Workflow and does not delete or modify any Worker associated to this Workflow or bounded to it.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Workers Scripts Write`

##### ParametersExpand Collapse

account\_id: str

[Link to this property](<#(resource)%20workflows%20%3E%20(method)%20delete%20%3E%20(params)%20default%20%3E%20(param)%20account_id%20%3E%20(schema)>)

workflow\_name: str

maxLength64

minLength1

[Link to this property](<#(resource)%20workflows%20%3E%20(method)%20delete%20%3E%20(params)%20default%20%3E%20(param)%20workflow_name%20%3E%20(schema)>)

##### ReturnsExpand Collapse

<details>

<summary>

class WorkflowDeleteResponse: …

</summary>

status: Literal\["ok"]

<a href="#(resource)%20workflows%20%3E%20(model)%20workflow_delete_response%20%3E%20(schema)%20%3E%20(property)%20status">Link to this property</a>

success: Optional\[bool]

<a href="#(resource)%20workflows%20%3E%20(model)%20workflow_delete_response%20%3E%20(schema)%20%3E%20(property)%20success">Link to this property</a>

</details>

[Link to this property](<#(resource)%20workflows%20%3E%20(model)%20workflow_delete_response%20%3E%20(schema)>)

### Deletes a Workflow

Python

HTTPTypeScriptPythonGoTerraform

```
import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
workflow = client.workflows.delete(
    workflow_name="x",
    account_id="account_id",
)
print(workflow.status)
```

200 example

```
{
  "errors": [],
  "messages": [
    {
      "code": 0,
      "message": "message"
    }
  ],
  "result": {
    "status": "ok",
    "success": true
  },
  "success": true,
  "result_info": {
    "count": 0,
    "per_page": 0,
    "total_count": 0,
    "cursor": "cursor",
    "page": 0,
    "total_pages": 0
  }
}
```

##### Returns Examples

200 example

```
{
  "errors": [],
  "messages": [
    {
      "code": 0,
      "message": "message"
    }
  ],
  "result": {
    "status": "ok",
    "success": true
  },
  "success": true,
  "result_info": {
    "count": 0,
    "per_page": 0,
    "total_count": 0,
    "cursor": "cursor",
    "page": 0,
    "total_pages": 0
  }
}
```